MagickCore: resample.c File Reference

# resample.c File Reference

`#include "magick/studio.h"`
`#include "magick/color-private.h"`
`#include "magick/cache.h"`
`#include "magick/draw.h"`
`#include "magick/exception-private.h"`
`#include "magick/gem.h"`
`#include "magick/image.h"`
`#include "magick/image-private.h"`
`#include "magick/log.h"`
`#include "magick/memory_.h"`
`#include "magick/pixel-private.h"`
`#include "magick/quantum.h"`
`#include "magick/random_.h"`
`#include "magick/resample.h"`
`#include "magick/resize.h"`
`#include "magick/resize-private.h"`
`#include "magick/transform.h"`
`#include "magick/signature.h"`

## Data Structures
struct | _ResampleFilter
## Defines
#define | WLUT_WIDTH 1024
#define | F_UNITY 4.0
## Functions
static void | SetResampleFilter (ResampleFilter *, const FilterTypes, const double)
MagickExport ResampleFilter * | AcquireResampleFilter (const Image *image, ExceptionInfo *exception)
MagickExport ResampleFilter * | DestroyResampleFilter (ResampleFilter *resample_filter)
static double | MagickMax (const double x, const double y)
static void | BicubicInterpolate (const MagickPixelPacket *pixels, const double dx, MagickPixelPacket *pixel)
static MagickRealType | CubicWeightingFunction (const MagickRealType x)
static double | MeshInterpolate (const PointInfo *delta, const double p, const double x, const double y)
static long | NearestNeighbor (MagickRealType x)
static MagickPixelPacket | InterpolateResampleFilter (ResampleFilter *resample_filter, const InterpolatePixelMethod method, const double x, const double y)
MagickExport MagickPixelPacket | ResamplePixelColor (ResampleFilter *resample_filter, const double u0, const double v0)
MagickExport void | ScaleResampleFilter (ResampleFilter *resample_filter, const double dux, const double duy, const double dvx, const double dvy)
MagickExport MagickBooleanType | SetResampleFilterInterpolateMethod (ResampleFilter *resample_filter, const InterpolatePixelMethod method)
MagickExport MagickBooleanType | SetResampleFilterVirtualPixelMethod (ResampleFilter *resample_filter, const VirtualPixelMethod method)

## Define Documentation

#define F_UNITY 4.0

#define WLUT_WIDTH 1024

## Function Documentation

MagickExport ResampleFilter* AcquireResampleFilter | ( | const Image * | image,
|  | ExceptionInfo * | exception |
| ) |  |  |

static void BicubicInterpolate | ( | const MagickPixelPacket * | pixels,
|  | const double | dx,
|  | MagickPixelPacket * | pixel |
| ) |  |  | `[static]`

static MagickRealType CubicWeightingFunction | ( | const MagickRealType | x | ) | `[inline, static]`

MagickExport ResampleFilter* DestroyResampleFilter | ( | ResampleFilter * | resample_filter | ) |

static MagickPixelPacket InterpolateResampleFilter | ( | ResampleFilter * | resample_filter,
|  | const InterpolatePixelMethod | method,
|  | const double | x,
|  | const double | y |
| ) |  |  | `[static]`

static double MagickMax | ( | const double | x,
|  | const double | y |
| ) |  |  | `[inline, static]`

static double MeshInterpolate | ( | const PointInfo * | delta,
|  | const double | p,
|  | const double | x,
|  | const double | y |
| ) |  |  | `[inline, static]`

static long NearestNeighbor | ( | MagickRealType | x | ) | `[inline, static]`

MagickExport MagickPixelPacket ResamplePixelColor | ( | ResampleFilter * | resample_filter,
|  | const double | u0,
|  | const double | v0 |
| ) |  |  |

MagickExport void ScaleResampleFilter | ( | ResampleFilter * | resample_filter,
|  | const double | dux,
|  | const double | duy,
|  | const double | dvx,
|  | const double | dvy |
| ) |  |  |

static void SetResampleFilter | ( | ResampleFilter * | resample_filter,
|  | const | FilterTypes,
|  | const | double |
| ) |  |  | `[static]`

MagickExport MagickBooleanType SetResampleFilterInterpolateMethod | ( | ResampleFilter * | resample_filter,
|  | const InterpolatePixelMethod | method |
| ) |  |  |

MagickExport MagickBooleanType SetResampleFilterVirtualPixelMethod | ( | ResampleFilter * | resample_filter,
|  | const VirtualPixelMethod | method |
| ) |  |  |